curl --request GET \
--url https://api.getprimo.com/devices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"tags": [
"<string>"
],
"isEnrolled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ownerId": "<string>",
"name": "<string>",
"serialNumber": "<string>",
"computerName": "<string>",
"type": "LAPTOP",
"platform": "ANDROID",
"brand": "<string>",
"manufacturer": "<string>",
"modelName": "<string>",
"modelIdentifier": "<string>",
"year": 123,
"osVersion": "<string>",
"osName": "<string>",
"buildVersion": "<string>",
"enrolledAt": "2023-11-07T05:31:56Z",
"disenrolledAt": "2023-11-07T05:31:56Z",
"lockWipeStatus": "LOCKED",
"edrProvider": "SENTINELONE"
}
],
"pagination": {
"totalElements": 4503599627370495,
"totalPages": 4503599627370495,
"page": 4503599627370496,
"perPage": 50
}
}Return the list of devices for your company.
curl --request GET \
--url https://api.getprimo.com/devices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"tags": [
"<string>"
],
"isEnrolled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ownerId": "<string>",
"name": "<string>",
"serialNumber": "<string>",
"computerName": "<string>",
"type": "LAPTOP",
"platform": "ANDROID",
"brand": "<string>",
"manufacturer": "<string>",
"modelName": "<string>",
"modelIdentifier": "<string>",
"year": 123,
"osVersion": "<string>",
"osName": "<string>",
"buildVersion": "<string>",
"enrolledAt": "2023-11-07T05:31:56Z",
"disenrolledAt": "2023-11-07T05:31:56Z",
"lockWipeStatus": "LOCKED",
"edrProvider": "SENTINELONE"
}
],
"pagination": {
"totalElements": 4503599627370495,
"totalPages": 4503599627370495,
"page": 4503599627370496,
"perPage": 50
}
}Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Page number
1 <= x <= 9007199254740991Number of items per page (max 100)
1 <= x <= 100Was this page helpful?